Dashboard

Share classes

GET/api/ownership/share-classes

Stock Pro

Returns share class information including outstanding and authorized shares, extracted from SEC filings.

Get API key Try it live in the API explorer

Query parameters

Example request

curl 'https://api.stockfit.io/v1/api/ownership/share-classes?symbol=AAPL&cik=320193&cusip=037833100&composite_figi=BBG000B9XRY4&share_class_figi=BBG001S5N8V8' \
  -H 'Authorization: Bearer YOUR_API_TOKEN'

Responses

200 OK

List of share classes ordered by shares outstanding (descending)

Response schema

array of:
  • className string

    Name of the share class

  • classMember string

    XBRL class member identifier

  • sharesOutstanding number | null

    Number of shares outstanding

  • sharesAuthorized number | null

    Number of shares authorized

  • periodEnd string | null

    Period end date (YYYY-MM-DD)

  • year integer | null

    Fiscal year

  • fp string | null

    Filing period (FY, Q1, Q2, Q3)

Example response

[
  {
    "className": "Class A",
    "classMember": "us-gaap:CommonClassAMember",
    "sharesOutstanding": 307955000,
    "sharesAuthorized": 1500000000,
    "periodEnd": "2025-12-31",
    "year": 2025,
    "fp": "FY"
  }
]

400 Bad Request

Invalid parameters or company not found

Response schema

  • error string

    Human-readable error message

Example response

{}

403 Forbidden

Feature not available on current plan

Response schema

  • error string

    Human-readable error message

Example response

{}